Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Class AddressSettingsInfo

    java.lang.Object
      org.hornetq.api.core.management.AddressSettingsInfo

    public class AddressSettingsInfo

extends Object

A AddressSettingsInfo

Author:
  jmesnil

Constructor Summary
`AddressSettingsInfo(String addressFullMessagePolicy, long maxSizeBytes, int pageSizeBytes, int pageCacheMaxSize, int maxDeliveryAttempts, long redeliveryDelay, String deadLetterAddress, String expiryAddress, boolean lastValueQueue, long redistributionDelay, boolean sendToDLAOnNoRoute)`

Method Summary
`static AddressSettingsInfo` | `from(String jsonString)`
`String` | `getAddressFullMessagePolicy()`
`String` | `getDeadLetterAddress()`
`String` | `getExpiryAddress()`
`int` | `getMaxDeliveryAttempts()`
`long` | `getMaxSizeBytes()`
`int` | `getPageCacheMaxSize()`
`int` | `getPageSizeBytes()`
`long` | `getRedeliveryDelay()`
`long` | `getRedistributionDelay()`
`boolean` | `isLastValueQueue()`
`boolean` | `isSendToDLAOnNoRoute()`
`void` | `setPageCacheMaxSize(int pageCacheMaxSize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressSettingsInfo

    public AddressSettingsInfo(String addressFullMessagePolicy,
                               long maxSizeBytes,
                               int pageSizeBytes,
                               int pageCacheMaxSize,
                               int maxDeliveryAttempts,
                               long redeliveryDelay,
                               String deadLetterAddress,
                               String expiryAddress,
                               boolean lastValueQueue,
                               long redistributionDelay,
                               boolean sendToDLAOnNoRoute)

Method Detail

### from

    public static final AddressSettingsInfo from(String jsonString)
                                          throws Exception

  Throws:
    `Exception`

### getPageCacheMaxSize

    public int getPageCacheMaxSize()

### setPageCacheMaxSize

    public void setPageCacheMaxSize(int pageCacheMaxSize)

### getAddressFullMessagePolicy

    public String getAddressFullMessagePolicy()

### getMaxSizeBytes

    public long getMaxSizeBytes()

### getPageSizeBytes

    public int getPageSizeBytes()

### getMaxDeliveryAttempts

    public int getMaxDeliveryAttempts()

### getRedeliveryDelay

    public long getRedeliveryDelay()

### getDeadLetterAddress

    public String getDeadLetterAddress()

### getExpiryAddress

    public String getExpiryAddress()

### isLastValueQueue

    public boolean isLastValueQueue()

### getRedistributionDelay

    public long getRedistributionDelay()

### isSendToDLAOnNoRoute

    public boolean isSendToDLAOnNoRoute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.